Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop.aspectj.annotation
Class ReflectiveAspectJAdvisorFactory.SyntheticInstantiationAdvisor

    java.lang.Object
      org.springframework.aop.support.AbstractPointcutAdvisor
          org.springframework.aop.support.AbstractGenericPointcutAdvisor
              org.springframework.aop.support.DefaultPointcutAdvisor
                  org.springframework.aop.aspectj.annotation.ReflectiveAspectJAdvisorFactory.SyntheticInstantiationAdvisor

All Implemented Interfaces:
  Serializable, Advisor, PointcutAdvisor, Ordered

Enclosing class:
  ReflectiveAspectJAdvisorFactory

    protected static class ReflectiveAspectJAdvisorFactory.SyntheticInstantiationAdvisor

extends DefaultPointcutAdvisor

Synthetic advisor that instantiates the aspect. Triggered by per-clause pointcut on non-singleton aspect. The advice has no effect.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`ReflectiveAspectJAdvisorFactory.SyntheticInstantiationAdvisor(MetadataAwareAspectInstanceFactory aif)`

Method Summary

Methods inherited from class org.springframework.aop.support.DefaultPointcutAdvisor
`getPointcut, setPointcut, toString`

Methods inherited from class org.springframework.aop.support.AbstractGenericPointcutAdvisor
`getAdvice, setAdvice`

Methods inherited from class org.springframework.aop.support.AbstractPointcutAdvisor
`equals, getOrder, hashCode, isPerInstance, setOrder`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReflectiveAspectJAdvisorFactory.SyntheticInstantiationAdvisor

    public ReflectiveAspectJAdvisorFactory.SyntheticInstantiationAdvisor(MetadataAwareAspectInstanceFactory aif)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.